:root{
    user-select: none;
}
body {
    background: #111;
    color: #aaa;
    font-family: monospace;
    text-align: center;
}

.container {
    max-width: 800px;
    margin: auto;
    padding: 20px;
}

h1 {
    color: #eee;
}

.stats {
    display: flex;
    justify-content: space-between;
    margin: 20px 0;
    color: #888;
}

/* TEXT DISPLAY */
#textDisplay {
    font-size: 24px;
    line-height: 1.6;
    margin-bottom: 20px;
}

.correct {
    color: #4ade80;
}

.wrong {
    color: #f87171;
}

/* USER INPUT */
.inputDisplay {
    font-size: 24px;
    margin-bottom: 20px;
}

/* TAP AREA */
#tapArea {
    height: 150px;
    background: #222;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

/* BUTTON */
button {
    padding: 14px;
    margin-top: 10px;
    border-radius: 10px;
    border: none;
    background: linear-gradient(135deg, #f8b238, #e9cc0e);
    color: white;
    font-weight: bold;
    cursor: pointer;
    display: inline;
}

.morseGuide {
    margin-top: 30px;
    text-align: left;
}

.morseGuide h3 {
    margin-bottom: 10px;
    color: #888;
}

/* GRID */
#morseGrid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(60px, 1fr));
    gap: 8px;
}

/* CARD */
.morseBox {
    background: #1a1a1a;
    padding: 10px;
    border-radius: 8px;
    text-align: center;
    font-size: 14px;
    transition: 0.2s;
    cursor: pointer;
}

/* HOVER EFFECT */
.morseBox:hover {
    background: #333;
    color: #fff;
}

.options {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
    margin-bottom: 20px;
}

.opt-group {
    display: flex;
    gap: 5px;
}

.options button {
    padding: 6px 10px;
    background: #222;
    border: none;
    color: #aaa;
    cursor: pointer;
    border-radius: 5px;
}

.options button.active {
    color: #facc15;
}

/* CURRENT LETTER */
.current {
    color: #facc15;
    border-bottom: 2px solid #facc15;
}

/* CORRECT */
.correct {
    color: #4ade80;
}

/* WRONG */
.wrong {
    color: #f87171;
}

/* NOT TYPED */
.pending {
    color: #555;
}

.options button {
    padding: 6px 10px;
    background: #222;
    color: #777;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

/* ACTIVE STATE */
.options button.active {
    color: #facc15;
    background: #333;
}